petsc-3.10.5 2019-03-28
Report Typos and Errors

# TSSetEquationType

Sets the type of the equation that TS is solving.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSSetEquationType(TS ts,TSEquationType equation_type)

Not Collective

### Input Parameter

| ts | - the TS context
| equation_type | - see TSEquationType

### Keywords

TS, equation type

### See Also

TSGetEquationType(), TSEquationType

### Level

advanced

### Location

src/ts/interface/ts.c

### Examples

src/ts/examples/tutorials/ex25.c.html
src/ts/examples/tutorials/ex35.cxx.html
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages